/*
 * $Id: Parameters_print.cpp 112 2009-03-18 22:36:26Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Comparator/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace comparator {


#undef  FUNCTION
#define FUNCTION "Comparator::print"
  std::string Parameters::print (uint32_t depth)
  {
    log_begin(Comparator,FUNCTION);

    XML xml ("comparator");

    xml.balise_open("comparator");
//  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
    xml.balise_close();

    log_end(Comparator,FUNCTION);
    
    return xml.get_body(depth);
  };

#undef  FUNCTION
#define FUNCTION "Comparator::operator<<"
  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::generic::comparator::Parameters & x)
  {
    log_begin(Comparator,FUNCTION);

    output_stream << x.print(0);
    
    log_end(Comparator,FUNCTION);

    return output_stream;
  };

}; // end namespace comparator
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
